Ticket #40962

ペットに攻撃される

Open Date: 2020-11-14 22:32 Last Update: 2021-01-15 22:23

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

掲題の通り

調査・修正予定

Ticket History (3/6 Histories)

2020-11-14 22:32 Updated by: hourier
  • New Ticket "ペットに攻撃される" created
2020-11-15 11:44 Updated by: iks
  • Priority Update from 5 - Medium to 7
  • Severity Update from 5 - Medium to 7
  • Resolution Update from None to Fixed
  • Owner Update from hourier to iks
Comment

以前はペットの移動先にプレイヤーが選択されることはなかったと思いますので、リファクタリングの影響かもしれません。

decide_pet_movement_directionでプレイヤーの方向を除外するのは難しいので、process_monster_movementで移動方向を決定するときに、プレイヤーの方向を除外するように修正しました。
この条件ですが、ペットが愚かである(RF2_STUPID持ち)または混乱している場合は、適用されません。(攻撃してくることがあります。)

実装後の動作確認はしましたので、あとはテストプレイを少ししてからクローズにしたいと思います。

2020-11-15 22:39 Updated by: hourier
Comment

修正ありがとうございます

ひとまず頂いたコードはコードとして、リファクタリングミスが疑われますのでその方針でも後ほど調査します

もし該当箇所を見つけたら、頂いたコミットはリバートしてミスの修正で埋めておきます

備考:iks氏の修正コミット↓

https://osdn.net/projects/hengband/scm/git/hengband/commits/7c26923c746201644438f73c83a95186ffa27723

2021-01-03 00:08 Updated by: deskull
  • Status Update from Open to Closed
Comment

この件修正問題ないでしょうか。一応、3.0.0Alpha付けで一度完了とします。

2021-01-15 21:50 Updated by: hourier
Comment

落馬バグと関係があると思われるので復活させる

2021-01-15 22:23 Updated by: hourier
  • Status Update from Open to Closed
Comment

不具合発生箇所を特定した

make_attack_normal() において、check_no_blow() でFALSEを返した時はFALSEをreturnしなければいけないはずが、何もreturnしていなかったことによる

iks氏の修正コミットをリバートしても問題なく攻撃事象は発生しなかったので、最終完了とする

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login